"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Provider = exports.ProviderOnlyClient = void 0;
const algosdk_1 = require("algosdk");
class ProviderOnlyClient {
    constructor(token, server, port) {
        this.client = new algosdk_1.Algodv2(token, server, port);
    }
}
exports.ProviderOnlyClient = ProviderOnlyClient;
class Provider extends ProviderOnlyClient {
    constructor(token, server, port, indexerToken, indexerServer, indexerPort) {
        super(token, server, port);
        this.indexer = new algosdk_1.Indexer(indexerToken, indexerServer, indexerPort);
    }
}
exports.Provider = Provider;
//# sourceMappingURL=provider.js.map