"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
class Transactions {
    static async getPendingTxByAddress(client, address) {
        const pendingTxsByAddr = await client
            .pendingTransactionByAddress(address)
            .do();
        return pendingTxsByAddr;
    }
    static async thereArePendingTxs(client, address) {
        const txs = await Transactions.getPendingTxByAddress(client, address);
        return txs['total-transactions'].length > 0;
    }
}
exports.default = Transactions;
//# sourceMappingURL=transactions.js.map