import algosdk from 'algosdk';
import { AssetInfo } from '../common/types';
export default class Assets {
    private static getAccountAttribute;
    private static getAssets;
    private static findAsset;
    private static getCirculatingSupply;
    static getCreatedAssets(client: algosdk.Algodv2, address: string): Promise<AssetInfo[]>;
    static getAsaBalance(client: algosdk.Algodv2, address: string, asaId: number): Promise<number>;
    static isOptIn(client: algosdk.Algodv2, address: string, asaId: number): Promise<boolean>;
    static getTokenCirculatingSupply(client: algosdk.Algodv2, asaId: number): Promise<number>;
}
