"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.Sandbox = exports.SandboxOnlyClient = void 0;
const provider_1 = require("./provider");
class SandboxOnlyClient extends provider_1.ProviderOnlyClient {
    constructor() {
        const port = 4001;
        const token = 'a'.repeat(64);
        const endpoint = 'http://localhost';
        super(token, endpoint, port);
    }
}
exports.SandboxOnlyClient = SandboxOnlyClient;
class Sandbox extends provider_1.Provider {
    constructor() {
        const port = 4001;
        const indexerPort = 8980;
        const endpoint = 'http://localhost';
        const indexerEndpoint = 'http://localhost';
        super('', endpoint, port, '', indexerEndpoint, indexerPort);
    }
}
exports.Sandbox = Sandbox;
//# sourceMappingURL=sandbox-providers.js.map